Bug 205231 - File conflicts in pygobject2
File conflicts in pygobject2
Product: Fedora
Classification: Fedora
Component: pygobject2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
Blocks: multilibdevel
  Show dependency treegraph
Reported: 2006-09-05 10:31 EDT by Bill Nottingham
Modified: 2014-03-16 23:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: pygobject2-2.12.2-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-04 17:34:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-09-05 10:31:58 EDT
Description of problem:

        file /usr/share/pygobject/xsl/fixxref.pyc from install of
pygobject2-devel-2.11.4-1.fc6 conflicts with file from package
        file /usr/share/pygobject/xsl/fixxref.pyo from install of
pygobject2-devel-2.11.4-1.fc6 conflicts with file from package
Comment 1 John (J5) Palmieri 2006-09-06 14:47:20 EDT
I don't understand, why is it conflicting with itself?  Is this on multiarch?
Comment 2 Bill Nottingham 2006-09-06 14:50:39 EDT
Comment 3 Matthew Barnes 2006-10-24 13:04:35 EDT
Should be fixed in pygobject2-2.12.1-4.fc6 (through Fedora Updates).

Also fixed for post-FC6 Rawhide: pygobject2-2.12.2-2.fc7

I'll let Bill verify and close this, since I don't have access to a 64-bit arch.
Comment 4 Bill Nottingham 2006-10-24 13:07:50 EDT
Binary files 1/usr/share/pygobject/xsl/fixxref.pyc and
2/usr/share/pygobject/xsl/fixxref.pyc differ
Binary files 1/usr/share/pygobject/xsl/fixxref.pyo and
2/usr/share/pygobject/xsl/fixxref.pyo differ

Not sure it's fixed (tested 2.12.1-4.fc6)
Comment 5 Matthew Barnes 2006-10-26 23:58:12 EDT
Jeremy Katz gave me a good tip for fixing bugs like this.

In Rawhide, I've broken the documentation files and scripts (including the
conflicting files) into a new subpackage named pygobject2-doc, which
pygobject2-devel now requires.  If this works, I'll push it into Fedora Core 6.

Comment 6 Bill Nottingham 2006-10-27 11:28:14 EDT
Looks good to me.
Comment 7 Matthew Barnes 2006-11-04 17:34:51 EST
Update submitted for Fedora Core 6, so I'm closing this bug.

Please reopen if you still encounter multilib conflicts.

Note You need to log in before you can comment on or make changes to this bug.